Bug 67879 - man pages make it impossible to discover mkfs
man pages make it impossible to discover mkfs
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-07-03 12:49 EDT by Tom Horsley
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-03 12:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2002-07-03 12:49:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; T312461)

Description of problem:
When adding a new disk to a system, finding fdisk to create the
partitions isn't too hard, but the gap from there to mkfs is almost
impossible to bridge. The mkfs command should be listed in SEE ALSO
in the fdisk man page (and probably vice-versa).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Forget for a moment that you know the mkfs command exists.
2. Try to find the command used to format a partition as an ext2
filesystem using things like "apropos format" or looking in SEE ALSO
sections for other disk related tools.
3. tear hair out :-).

Actual Results:  Became bald.

Expected Results:  Should have found pointer to mkfs somewhere before total 
set it.

Additional info:

It just seems like there is a natural sequence of events here
from fdisk to mkfs that should be reflected in the SEE ALSO
chain in the man pages (maybe mkfs should point to mount
and fstab as well).
Comment 1 Elliot Lee 2002-07-11 15:42:11 EDT
It's really not possible to list every single command that might be relevant to every single 
other command, and mkfs & fdisk are just a little too far apart to be worth making this 

You're welcome to try asking the util-linux upstream maintainer, though.

Note You need to log in before you can comment on or make changes to this bug.